API Reference
Records
List records
AuthorizationBearer <token>
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Path Parameters
idstring
Format
uuidQuery Parameters
search?string
limit?integer
cursor?string
Header Parameters
x-hostdocs-account-id?string
Target workspace id. Defaults to the key’s workspace.
Format
uuidx-hostdocs-site-id?string
Target site id. Defaults to the workspace’s default site.
Format
uuidResponse Body
curl -X GET "https://api.hostdocs.io/api/v1/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08/records?search=string&limit=0&cursor=string" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-hostdocs-site-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"success": true,
"data": {}
}Create a record
Requires the write scope.
AuthorizationBearer <token>
A hostdocs developer API key (an opaque token issued by Clerk; create one in the dashboard under API keys).
In: header
Path Parameters
idstring
Format
uuidHeader Parameters
x-hostdocs-account-id?string
Target workspace id. Defaults to the key’s workspace.
Format
uuidx-hostdocs-site-id?string
Target site id. Defaults to the workspace’s default site.
Format
uuiddataobject
Empty Object
Response Body
curl -X POST "https://api.hostdocs.io/api/v1/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08/records" \ -H "x-hostdocs-account-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "x-hostdocs-site-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "data": { "property1": null, "property2": null } }'{
"success": true,
"data": {}
}